SSpiderIQ
SSpiderIQ

Docs / api-reference/crm-relationships

crm-relationships

6 endpoints from the published OpenAPI import.

GET/api/v1/crm/tasks/{task_id}/relationships

List card relationships

Parameters

NameInTypeRequiredDescription
task_idpathstringtrue
typequeryanyfalseFilter by type
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
POST/api/v1/crm/tasks/{task_id}/relationships

Create a card relationship

Parameters

NameInTypeRequiredDescription
task_idpathstringtrue
Try it
Query

Examples

cURL
curl -X POST 'https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "parent_id": "00000000-0000-0000-0000-000000000000",
  "relationship_type": "string",
  "role": "string",
  "extra_data": {}
}'
Python
import httpx

resp = httpx.post(
    "https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"parent_id": "00000000-0000-0000-0000-000000000000", "relationship_type": "string", "role": "string", "extra_data": {}},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"parent_id": "00000000-0000-0000-0000-000000000000", "relationship_type": "string", "role": "string", "extra_data": {}})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"parent_id": "00000000-0000-0000-0000-000000000000", "relationship_type": "string", "role": "string", "extra_data": {}}`)
	req, _ := http.NewRequest("POST", "https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
201Successful Response
422Validation Error
GET/api/v1/crm/tasks/{task_id}/relationships/{rel_type}/cards

Get related cards

Parameters

NameInTypeRequiredDescription
task_idpathstringtrue
rel_typepathstringtrue
directionquerystringfalse
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships/{rel_type}/cards' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships/{rel_type}/cards",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships/{rel_type}/cards", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/tasks/{task_id}/relationships/{rel_type}/cards", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
PATCH/api/v1/crm/card-relationships/{rel_id}

Update a card relationship

Parameters

NameInTypeRequiredDescription
rel_idpathstringtrue
Try it
Query

Examples

cURL
curl -X PATCH 'https://spideriq.ai/api/v1/crm/card-relationships/{rel_id}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "role": "string",
  "extra_data": {}
}'
Python
import httpx

resp = httpx.patch(
    "https://spideriq.ai/api/v1/crm/card-relationships/{rel_id}",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"role": "string", "extra_data": {}},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/card-relationships/{rel_id}", {
  method: "PATCH",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"role": "string", "extra_data": {}})
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"role": "string", "extra_data": {}}`)
	req, _ := http.NewRequest("PATCH", "https://spideriq.ai/api/v1/crm/card-relationships/{rel_id}", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error
DELETE/api/v1/crm/card-relationships/{rel_id}

Delete a card relationship

Parameters

NameInTypeRequiredDescription
rel_idpathstringtrue
Try it
Query

Examples

cURL
curl -X DELETE 'https://spideriq.ai/api/v1/crm/card-relationships/{rel_id}' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.delete(
    "https://spideriq.ai/api/v1/crm/card-relationships/{rel_id}",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/card-relationships/{rel_id}", {
  method: "DELETE",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("DELETE", "https://spideriq.ai/api/v1/crm/card-relationships/{rel_id}", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
204Successful Response
422Validation Error
GET/api/v1/crm/cards/search

Cross-board card search

Parameters

NameInTypeRequiredDescription
qquerystringtrue
board_typequeryanyfalse
limitqueryintegerfalse
Try it
Query

Examples

cURL
curl -X GET 'https://spideriq.ai/api/v1/crm/cards/search' \
  -H 'Authorization: Bearer <token>'
Python
import httpx

resp = httpx.get(
    "https://spideriq.ai/api/v1/crm/cards/search",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
JavaScript
const resp = await fetch("https://spideriq.ai/api/v1/crm/cards/search", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
Go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://spideriq.ai/api/v1/crm/cards/search", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}

Responses

StatusDescription
200Successful Response
422Validation Error